org.apache.ignite.internal.processors.platform.cache.store

## Class PlatformCacheStoreCallback

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cache.store.PlatformCacheStoreCallback

    public abstract class PlatformCacheStoreCallback
    extends Object

Platform cache store callback.

### Field Summary

Fields
`protected PlatformContext` `ctx` Context.

### Constructor Summary

Constructors
`protected` `PlatformCacheStoreCallback(PlatformContext ctx)` Constructor.

### Method Summary

Methods
`void` `invoke(long memPtr)` Invoke the callback.
`protected abstract void` `invoke0(BinaryRawReaderEx reader)` Internal invoke routine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctx

    protected final PlatformContext ctx

Context.

### Constructor Detail

#### PlatformCacheStoreCallback

    protected PlatformCacheStoreCallback(PlatformContext ctx)

Constructor.

Parameters:
  `ctx` - Context.

### Method Detail

#### invoke

    public void invoke(long memPtr)

Invoke the callback.

Parameters:
  `memPtr` - Memory pointer.

#### invoke0

    protected abstract void invoke0(BinaryRawReaderEx reader)

Internal invoke routine.

Parameters:
  `reader` - Reader.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015